Resolves a menu issue and records the remediation action taken.
HTTP request
POST https://foodorderingaiagent.googleapis.com/v1/{name=projects/*/locations/*/menus/*/issues/*}:resolve
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the menu issue to resolve. Format: projects/{project}/locations/{location}/menus/{menu}/issues/{issue} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"appliedRemediationAction": {
object ( |
| Fields | |
|---|---|
appliedRemediationAction |
Optional. The remediation action that was taken by the client to resolve the issue. |
Response body
If successful, the response body contains an instance of MenuIssue.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.